package vk4me.attachments;

import org.json.me.JSONArray;
import org.json.me.JSONObject;

import vk4me.objects.Parsable;

public class AudioMessageAtt extends Attachment
{
    public int duration;
    public int[] waveform;
    private String link_mp3;
    public int min;
    public int max;
    
    public AudioMessageAtt() {
        super();
        this.min = Integer.MAX_VALUE;
        this.max = Integer.MIN_VALUE;
    }
    
    public final Parsable parse(final JSONObject class21) {
        if (class21 == null) {
            return this;
        }
        this.duration = class21.optInt("duration");
        class21.optString("link_ogg");
        this.link_mp3 = class21.optString("link_mp3");
        final JSONArray method87;
        if ((method87 = class21.optJSONArray("waveform")) != null) {
            this.waveform = new int[method87.myArrayList.size()];
            for (int i = 0; i < method87.myArrayList.size(); ++i) {
                this.waveform[i] = method87.optInt(i);
                this.min = Math.min(this.min, this.waveform[i]);
                this.max = Math.max(this.max, this.waveform[i]);
            }
        }
        return this;
    }
    
    public final String toString() {
        return this.link_mp3;
    }
}
