package vk4me.objects;

import java.util.*;

import org.json.me.JSONObject;

import deobfDefault.Class2;
import ru.curoviyxru.j2vk.api.objects.VKObject;

public final class User extends Profile
{
    public static boolean aBoolean3;
    public int user_id;
    public int sex;
    public String bdate;
    private String first_name;
    private String last_name;
    public String aString9;
    private String aString18;
    private String aString26;
    public String status;
    private String screen_name;
    public boolean blacklisted;
    public int online;
    public int online_mobile;
    public int online_app;
    public int anInt63;
    public int friend_status;
    private Hashtable first_name_hash;
    private Hashtable last_name_hash;
    public boolean can_dm;
    public int audios;
    public int friends;
    public int groups;
    public int online_friends;
    
    public final String status() {
        return this.status;
    }
    
    public User() {
        super(false);
        this.first_name_hash = new Hashtable();
        this.last_name_hash = new Hashtable();
    }
    
    public final String photo50() {
        if (!Class2.isNull(this.aString18)) {
            return this.aString18;
        }
        return "https://vk.com/images/camera_50.png";
    }
    
    public final int local_id() {
        return this.user_id;
    }
    
    public String toString() {
    	return "id" + this.user_id;
    }
    
    public final Parsable parse(final JSONObject class21) {
        if (class21 == null) {
            return this;
        }
        this.user_id = class21.optInt("id");
        this.sex = class21.optInt("sex");
        this.status = class21.optString("status");
        this.first_name = class21.optString("first_name");
        this.last_name = class21.optString("last_name");
        this.aString9 = class21.optString("deactivated");
        this.aString18 = class21.optString("photo_50");
        this.aString26 = class21.optString("photo_100");
        class21.optBoolean("is_closed");
        class21.optBoolean("can_access_closed");
        this.online = class21.optInt("online");
        this.online_app = class21.optInt("online_app");
        this.online_mobile = class21.optInt("online_mobile");
        this.friend_status = class21.optInt("friend_status");
        this.blacklisted = VKObject.fromInteger(class21.optInt("blacklisted"));
        class21.optInt("blacklisted_by_me");
        class21.optInt("can_see_audio");
        this.can_dm = VKObject.fromInteger(class21.optInt("can_write_private_message"));
        this.bdate = class21.optString("bdate");
        this.screen_name = class21.optString("screen_name");
        final JSONObject method88;
        if ((method88 = class21.optJSONObject("counters")) != null) {
            this.audios = method88.optInt("audios");
            this.friends = method88.optInt("friends");
            this.groups = method88.optInt("groups");
            this.online_friends = method88.optInt("online_friends");
            method88.optInt("mutual_friends");
            method88.optInt("followers");
            method88.optInt("photos");
            method88.optInt("albums");
            method88.optInt("videos");
        }
        final JSONObject method89;
        if ((method89 = class21.optJSONObject("last_seen")) != null) {
            this.anInt63 = method89.optInt("time");
            method89.optInt("platform");
        }
        this.first_name_hash.put("first_name_nom", class21.optString("first_name_nom", this.first_name));
        this.first_name_hash.put("first_name_gen", class21.optString("first_name_gen", this.first_name));
        this.first_name_hash.put("first_name_dat", class21.optString("first_name_dat", this.first_name));
        this.first_name_hash.put("first_name_acc", class21.optString("first_name_acc", this.first_name));
        this.first_name_hash.put("first_name_ins", class21.optString("first_name_ins", this.first_name));
        this.first_name_hash.put("first_name_abl", class21.optString("first_name_abl", this.first_name));
        this.last_name_hash.put("last_name_nom", class21.optString("last_name_nom", this.last_name));
        this.last_name_hash.put("last_name_gen", class21.optString("last_name_gen", this.last_name));
        this.last_name_hash.put("last_name_dat", class21.optString("last_name_dat", this.last_name));
        this.last_name_hash.put("last_name_acc", class21.optString("last_name_acc", this.last_name));
        this.last_name_hash.put("last_name_ins", class21.optString("last_name_ins", this.last_name));
        this.last_name_hash.put("last_name_abl", class21.optString("last_name_abl", this.last_name));
        return this;
    }
    
    public final String photo100() {
        if (!Class2.isNull(this.aString26)) {
            return this.aString26;
        }
        return "https://vk.com/images/camera_100.png";
    }
    
    public final String getShortName(final String s) {
        if (User.aBoolean3) {
            String aString17 = (String)this.last_name_hash.get("last_name_" + s);
            String aString18 = (String)this.first_name_hash.get("first_name_" + s);
            if (aString17 == null) {
                aString17 = this.last_name;
            }
            if (aString18 == null) {
                aString18 = this.first_name;
            }
            return aString18 + ((aString17 != null && aString17.length() > 0) ? (" " + aString17.charAt(0) + ".") : "");
        }
        String aString19 = (String)this.last_name_hash.get("last_name_" + s);
        String aString20 = (String)this.first_name_hash.get("first_name_" + s);
        if (aString19 == null) {
            aString19 = this.last_name;
        }
        if (aString20 == null) {
            aString20 = this.first_name;
        }
        return ((aString20 != null && aString20.length() > 0) ? (aString20.charAt(0) + ". ") : "") + aString19;
    }
    
    public final String getFullName(final String s) {
        if (Class2.isNull(s) || !this.last_name_hash.containsKey("last_name_" + s) || !this.first_name_hash.containsKey("first_name_" + s)) {
            return this.first_name + " " + this.last_name;
        }
        return this.first_name_hash.get((Object)("first_name_" + s)) + " " + this.last_name_hash.get((Object)("last_name_" + s));
    }
    
    public final String getScreenName() {
        return this.screen_name;
    }
    
    static {
        User.aBoolean3 = false;
    }
}
