package vk4me.responses;

import org.json.me.JSONArray;
import org.json.me.JSONObject;

import vk4me.objects.Group;
import vk4me.objects.Parsable;
import vk4me.objects.User;

public class ExtendedResponse extends Response
{
    public User[] users;
    public Group[] groups;
    
    public ExtendedResponse() {
        super();
    }
    
    public Parsable parse(JSONObject method88) {
        super.parse(method88);
        if (method88 == null) {
            return this;
        }
        if ((method88 = method88.optJSONObject("response")) != null) {
            final JSONArray method89;
            if ((method89 = method88.optJSONArray("groups")) != null) {
                this.groups = new Group[method89.myArrayList.size()];
                for (int i = 0; i < method89.myArrayList.size(); ++i) {
                    final JSONObject method90;
                    if ((method90 = method89.optJSONObject(i)) != null) {
                        this.groups[i] = (Group)new Group().parse(method90);
                    }
                }
            }
            final JSONArray method91;
            if ((method91 = method88.optJSONArray("profiles")) != null) {
                this.users = new User[method91.myArrayList.size()];
                for (int j = 0; j < method91.myArrayList.size(); ++j) {
                    final JSONObject method92;
                    if ((method92 = method91.optJSONObject(j)) != null) {
                        this.users[j] = (User)new User().parse(method92);
                    }
                }
            }
        }
        return this;
    }
}
