package vk4me.responses;

import org.json.me.JSONObject;

import deobfDefault.Class2;
import vk4me.objects.Parsable;

public class Response extends Parsable
{
    private String errorStr;
    private String errorDescription;
    public String errorType;
    private String errorMsg;
    private int errorCode;
    
    public Response() {
        super();
        this.errorCode = -1;
    }
    
    public boolean isSuccess() {
        return Class2.isNull(this.errorStr) && !this.isError() && Class2.isNull(this.errorDescription) && this.errorCode == -1 && Class2.isNull(this.errorMsg);
    }
    
    public final boolean isError() {
        return !Class2.isNull(this.errorType);
    }
    
    public Parsable parse(final JSONObject JSONObject) {
        if (JSONObject == null) {
            return this;
        }
        if (JSONObject.has("error")) {
            final JSONObject method88;
            if ((method88 = JSONObject.optJSONObject("error")) != null) {
                this.errorCode = method88.optInt("error_code", -1);
                this.errorMsg = method88.optString("error_msg");
            }
            else {
                this.errorStr = JSONObject.optString("error");
            }
        }
        this.errorDescription = JSONObject.optString("error_description");
        this.errorType = JSONObject.optString("error_type");
        return this;
    }
}
