package vk4me.attachments;

import org.json.me.JSONObject;

import vk4me.objects.Class64_Sub1_5_Sub1_0_Sub4_5;
import vk4me.objects.Parsable;

public class DocAtt extends Attachment
{
    public int size;
    public String title;
    private String ext;
    
    public DocAtt() {
        super();
    }
    
    public final String toString() {
        final int anInt1;
        return this.title + "\n" + (((anInt1 = this.size) >= 1073741824) ? (anInt1 / 1073741824 + " GB") : ((anInt1 >= 1048576) ? (anInt1 / 1048576 + " MB") : ((anInt1 >= 1024) ? (anInt1 / 1024 + " KB") : (anInt1 + " B")))) + " - " + this.ext.toUpperCase();
    }
    
    public final Parsable parse(JSONObject method88) {
        if (method88 == null) {
            return this;
        }
        method88.optInt("id");
        method88.optInt("owner_id");
        this.size = method88.optInt("size");
        method88.optInt("date");
        method88.optInt("type");
        this.title = method88.optString("title");
        this.ext = method88.optString("ext");
        method88.optString("url");
        if ((method88 = method88.optJSONObject("preview")) != null) {
            new Class64_Sub1_5_Sub1_0_Sub4_5().parse(method88);
        }
        return this;
    }
}
