package vk4me.attachments;

import org.json.me.JSONArray;
import org.json.me.JSONObject;

import vk4me.objects.Class64_Sub1_5_Sub1_0_Sub12_4;
import vk4me.objects.Class64_Sub1_5_Sub1_0_Sub24_3;
import vk4me.objects.Parsable;
import vk4me.objects.Thumb;

public class PlaylistAtt extends Attachment
{
    private int id;
    public int owner_id;
    private Class64_Sub1_5_Sub1_0_Sub12_4[] aClass64_Sub1_5_Sub1_0_Sub12_4Array416;
    private Class64_Sub1_5_Sub1_0_Sub24_3[] aClass64_Sub1_5_Sub1_0_Sub24_3Array417;
    public String access_key;
    
    public PlaylistAtt() {
        super();
    }
    
    public final String toString() {
        return "audio_playlist" + this.owner_id + "_" + this.id;
    }
    
    public final Parsable parse(final JSONObject class21) {
        if (class21 == null) {
            return this;
        }
        this.id  = class21.optInt("id");
        this.owner_id = class21.optInt("owner_id");
        class21.optInt("type");
        this.access_key = class21.optString("access_key");
        final JSONObject method88;
        if ((method88 = class21.optJSONObject("photo")) != null) {
            new Thumb().parse(method88);
        }
        final JSONArray method89;
        if ((method89 = class21.optJSONArray("main_artists")) != null) {
            this.aClass64_Sub1_5_Sub1_0_Sub24_3Array417 = new Class64_Sub1_5_Sub1_0_Sub24_3[method89.myArrayList.size()];
            for (int i = 0; i < method89.myArrayList.size(); ++i) {
                final JSONObject method90;
                if ((method90 = method89.optJSONObject(i)) != null) {
                    this.aClass64_Sub1_5_Sub1_0_Sub24_3Array417[i] = (Class64_Sub1_5_Sub1_0_Sub24_3)new Class64_Sub1_5_Sub1_0_Sub24_3().parse(method90);
                }
            }
        }
        final JSONArray method91;
        if ((method91 = class21.optJSONArray("genres")) != null) {
            this.aClass64_Sub1_5_Sub1_0_Sub12_4Array416 = new Class64_Sub1_5_Sub1_0_Sub12_4[method91.myArrayList.size()];
            for (int j = 0; j < method91.myArrayList.size(); ++j) {
                final JSONObject method92;
                if ((method92 = method91.optJSONObject(j)) != null) {
                    this.aClass64_Sub1_5_Sub1_0_Sub12_4Array416[j] = (Class64_Sub1_5_Sub1_0_Sub12_4)new Class64_Sub1_5_Sub1_0_Sub12_4().parse(method92);
                }
            }
        }
        return this;
    }
    
    public final String method3() {
        if (this.aClass64_Sub1_5_Sub1_0_Sub24_3Array417 == null || this.aClass64_Sub1_5_Sub1_0_Sub24_3Array417.length <= 0) {
            return null;
        }
        final StringBuffer sb = new StringBuffer();
        for (int i = 0; i < this.aClass64_Sub1_5_Sub1_0_Sub24_3Array417.length; ++i) {
            final Class64_Sub1_5_Sub1_0_Sub24_3 class64_Sub1_5_Sub1_0_Sub24_3;
            if ((class64_Sub1_5_Sub1_0_Sub24_3 = this.aClass64_Sub1_5_Sub1_0_Sub24_3Array417[i]) != null && class64_Sub1_5_Sub1_0_Sub24_3.aString2 != null) {
                sb.append(class64_Sub1_5_Sub1_0_Sub24_3.aString2);
                if (i != this.aClass64_Sub1_5_Sub1_0_Sub24_3Array417.length - 1) {
                    sb.append(", ");
                }
            }
        }
        return sb.toString();
    }
}
