package vk4me.objects;

import org.json.me.JSONObject;

public final class ImageUrl extends Parsable
{
    public String url;
    public int width;
    public int height;
    
    public ImageUrl() {
        super();
    }
    
    public final Parsable parse(final JSONObject JSONObject) {
        if (JSONObject == null) {
            return this;
        }
        this.url = JSONObject.optString("url");
        this.width = JSONObject.optInt("width");
        this.height = JSONObject.optInt("height");
        return this;
    }
}
