package vk4me.objects;

import org.json.me.JSONArray;
import org.json.me.JSONObject;

import deobfDefault.Class2;
import deobfDefault.Class23;
import ru.curoviyxru.j2vk.api.objects.VKObject;
import vk4me.attachments.Attachment;

public final class Wall extends Parsable implements Class23
{
    private String type;
    public int owner_id;
    public int date;
    public String text;
    public int from_id;
    private boolean ad;
    public Attachment[] attachments;
    public Comments comments;
    public Likes likes;
    public Reposts reposts;
    public int views;
    public int id;
    public Wall[] copy_history;
    
    public Wall() {
        super();
    }
    
    public final String toString() {
        return "wall" + this.owner_id + "_" + this.id;
    }
    
    public final boolean hasCopyHistory() {
        return this.copy_history != null && this.copy_history.length > 0;
    }
    
    public final Parsable parse(final JSONObject class21) {
        if (class21 == null) {
            return this;
        }
        this.owner_id = (class21.has("owner_id") ? class21.optInt("owner_id") : class21.optInt("source_id"));
        this.type = class21.optString("type");
        this.id = (class21.has("id") ? class21.optInt("id") : class21.optInt("post_id"));
        this.date = class21.optInt("date");
        this.text = class21.optString("text");
        this.comments = (Comments)new Comments().parse(class21.optJSONObject("comments"));
        this.likes = (Likes)new Likes().parse(class21.optJSONObject("likes"));
        this.reposts = (Reposts)new Reposts().parse(class21.optJSONObject("reposts"));
        final JSONObject method88;
        if ((method88 = class21.optJSONObject("views")) != null) {
            this.views = method88.optInt("count");
        }
        class21.optString("post_type");
        final JSONArray method89;
        if ((method89 = class21.optJSONArray("attachments")) != null) {
            this.attachments = new Attachment[method89.myArrayList.size()];
            for (int i = 0; i < method89.myArrayList.size(); ++i) {
                final JSONObject method90;
                if ((method90 = method89.optJSONObject(i)) != null) {
                    this.attachments[i] = Attachment.getAttachment(method90);
                }
            }
        }
        final JSONArray method91;
        if ((method91 = class21.optJSONArray("copy_history")) != null) {
            this.copy_history = new Wall[method91.myArrayList.size()];
            for (int j = 0; j < method91.myArrayList.size(); ++j) {
                final JSONObject method92;
                if ((method92 = method91.optJSONObject(j)) != null) {
                    this.copy_history[j] = (Wall)new Wall().parse(method92);
                }
            }
        }
        this.from_id = (class21.has("from_id") ? class21.optInt("from_id") : class21.optInt("signer_id"));
        this.ad = VKObject.fromInteger(class21.optInt("marked_as_ads"));
        class21.optBoolean("is_favorite");
        if (!this.ad && (Class2.isNull(class21.optString("ext_id")) || (Class2.isNull(this.type) && !this.type.equals("post"))) && !class21.has("authors_rec") && !class21.has("app_widget") && !class21.has("promo_button") && !class21.has("friends_recomm")) {
            class21.has("live_recommended");
        }
        return this;
    }
    
    public final boolean hasAttachments() {
        return this.attachments != null && this.attachments.length > 0;
    }
    
    public final boolean hasText() {
        return !Class2.isNull(this.text);
    }
    
    public final boolean method8() {
        return this.from_id != 0;
    }
    
    public final String type() {
        return "post";
    }
    
    public final int owner_id() {
        return this.owner_id;
    }
    
    public final int id() {
        return this.id;
    }

	public void method109(long p0) {
		// TODO Auto-generated method stub
		
	}

	public void method101() {
		// TODO Auto-generated method stub
		
	}
}
