package vk4me.requests;

import deobfDefault.URLBuilder;
import vk4me.responses.GroupsResponse;

public final class GetGroupsRequest extends URLBuilder
{
    private static Class aClass23;
    
    public GetGroupsRequest() {
        super((GetGroupsRequest.aClass23 == null) ? (GetGroupsRequest.aClass23 = new GroupsResponse().getClass()) : GetGroupsRequest.aClass23, "groups.get");
        this.addParam("extended", 1);
        this.addParam("fields", "description,can_message,ban_info,can_write_private_message,can_see_audio,followers,friend_status,common_count,blacklisted,blacklisted_by_me,fixed_post,description,ban_info,members_count,counters,photo_50,photo_100,text,views,reposts,likes,status,sex,online,online_app,online_mobile,last_seen,first_name_nom,first_name_gen,first_name_dat,first_name_acc,first_name_ins,first_name_abl,last_name_nom,last_name_gen,last_name_dat,last_name_acc,last_name_ins,last_name_abl,bdate,screen_name");
    }
    
    private GetGroupsRequest(final int n) {
        this();
        this.addParam("user_id", n);
    }
    
    public GetGroupsRequest(int n, final int n2) {
        this(n);
        this.addParam("count", 20);
        n = n2;
        this.addParam("offset", n);
    }
    
    private static Class method26(final String s) {
        try {
            return Class.forName(s);
        }
        catch (ClassNotFoundException ex) {
            throw new NoClassDefFoundError(ex.getMessage());
        }
    }
}
