package vk4me.requests;

import java.util.*;

import deobfDefault.URLBuilder;
import ru.curoviyxru.j2vk.api.objects.VKObject;
import vk4me.responses.UsersResponse;

public final class GetUsersRequest extends URLBuilder
{
    private Vector aVector74;
    private static Class aClass23;
    
    public GetUsersRequest() {
        super((GetUsersRequest.aClass23 == null) ? (GetUsersRequest.aClass23 = new UsersResponse().getClass()) : GetUsersRequest.aClass23, "users.get");
        this.aVector74 = new Vector();
        this.addParam("extended", 1);
        this.addParam("fields", "description,can_message,ban_info,can_write_private_message,can_see_audio,followers,friend_status,common_count,blacklisted,blacklisted_by_me,fixed_post,description,ban_info,members_count,counters,photo_50,photo_100,text,views,reposts,likes,status,sex,online,online_app,online_mobile,last_seen,first_name_nom,first_name_gen,first_name_dat,first_name_acc,first_name_ins,first_name_abl,last_name_nom,last_name_gen,last_name_dat,last_name_acc,last_name_ins,last_name_abl,bdate,screen_name");
    }
    
    public GetUsersRequest(final int n) {
        this();
        int n2 = n;
        if (n2 < 0) {
            n2 = -n2;
        }
        if (this.aVector74.indexOf(new Integer(n2)) == -1) {
            this.aVector74.addElement(new Integer(n2));
            if (this.aVector74 != null && this.aVector74.size() > 0) {
                this.addParam("user_ids", VKObject.join(",", this.aVector74));
                return;
            }
            this.addParam("user_ids", null);
        }
    }
}
