package vk4me.requests;

import java.util.*;

import deobfDefault.Class2;
import deobfDefault.VK4MEConnect;
import vk4me.objects.Message;
import vk4me.responses.SendMessageResponse;
import deobfDefault.URLBuilder;

public final class SendMessageRequest extends URLBuilder
{
    private static Class aClass23;
    
    public SendMessageRequest() {
        super((SendMessageRequest.aClass23 == null) ? (SendMessageRequest.aClass23 = new SendMessageResponse().getClass()) : SendMessageRequest.aClass23, "messages.send");
        final long nextLong = new Random().nextLong();
        this.addParam("random_id", String.valueOf((nextLong > 0L) ? nextLong : (-nextLong)));
    }
    
    public SendMessageRequest(final int n, final String s) {
        this();
        this.addParam("peer_id", n);
        this.addParam("message", (s != null) ? VK4MEConnect.urlEncode(s) : null);
    }
    
    public final SendMessageRequest method223(final Vector vector) {
        if (vector == null) {
            this.addParam("forward_messages", null);
        }
        final Vector vector2 = new Vector();
        for (int i = 0; i < vector.size(); ++i) {
            if (vector.elementAt(i) != null) {
                vector2.addElement(String.valueOf(((Message)vector.elementAt(i)).anInt1));
            }
        }
        if (vector.isEmpty()) {
            this.addParam("forward_messages", null);
        }
        else {
            this.addParam("forward_messages", Class2.method15(",", vector2));
        }
        return this;
    }
}
