package vk4me.responses;

import org.json.me.JSONObject;

import deobfDefault.Class2;
import vk4me.objects.Parsable;

public class AuthTokenResponse extends Response
{
    public String accessToken;
    public String captchaSid;
    public String captchaImg;
    public String validationType;
    public String phoneMask;
    public String validationSid;
    private int userId;
    
    public AuthTokenResponse() {
        super();
    }
    
    public final boolean method5() {
        return !Class2.isNull(this.validationSid);
    }
    
    public final boolean isSuccess() {
        return super.isSuccess() && (!Class2.isNull(this.accessToken) && this.userId > 0);
    }
    
    public final Parsable parse(final JSONObject class21) {
        super.parse(class21);
        if (class21 == null) {
            return this;
        }
        this.accessToken = class21.optString("access_token");
        this.captchaSid = class21.optString("captcha_sid");
        this.captchaImg = class21.optString("captcha_img");
        this.validationType = class21.optString("validation_type");
        this.phoneMask = class21.optString("phone_mask");
        this.validationSid = class21.optString("validation_sid");
        this.userId = class21.optInt("user_id");
        return this;
    }
}
