package vk4me.responses;

import org.json.me.JSONArray;
import org.json.me.JSONObject;

import vk4me.objects.ConversationO;
import vk4me.objects.Parsable;

public class ConversationResponse extends ExtendedResponse
{
    private ConversationO[] conversations;
    
    public ConversationResponse() {
        super();
    }
    
    public final ConversationO first() {
        if (this.conversations != null && this.conversations.length > 0) {
            return this.conversations[0];
        }
        return null;
    }
    
    public final boolean method5() {
        return this.first() != null;
    }
    
    public final Parsable parse(JSONObject method88) {
        super.parse(method88);
        if (method88 == null) {
            return this;
        }
        if ((method88 = method88.optJSONObject("response")) != null) {
            method88.optInt("count");
            final JSONArray method89;
            if ((method89 = method88.optJSONArray("items")) != null) {
                this.conversations = new ConversationO[method89.myArrayList.size()];
                for (int i = 0; i < method89.myArrayList.size(); ++i) {
                    final JSONObject method90;
                    if ((method90 = method89.optJSONObject(i)) != null) {
                        this.conversations[i] = (ConversationO)new ConversationO().parse(method90);
                    }
                }
            }
        }
        return this;
    }
}
